miércoles, 30 de abril de 2014

Solución al error al instalar Laravel 4 con composer: You must enable the openssl extension to download files via https


El error: You must enable the openssl extension to download files via https que es provocado cuando ejecutamos la instalación de un proyecto del framework Laravel con composer.phar o también es provocado cuando intentamos instalar el ejecutable de composer para Windows, es debido a que debemos de descomentar o añadir, según el caso, la siguiente línea extension=php_openssl.dll en el archivo php.ini, por ejemplo en XAMPP, este archivo se encuentra en la carpeta C:\xampp\php, lo abrimos y buscamos la línea extension=php_openssl.dll si la encontramos le quitamos el ;, si la línea no es encontrada, entonces añade la línea justo debajo de [PECL] como se puede ver en la imagen ...


Una vez hecha esta tarea, simplemente reiniciamos nuevamente el servidor apache y ahora sí podremos instalar adecuadamente nuestro proyecto Laravel sin ningún problema a través de composer.